[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: new snapshot available: coreutils-6.12.208-2441

From: Jim Meyering
Subject: Re: new snapshot available: coreutils-6.12.208-2441
Date: Sun, 28 Sep 2008 22:55:35 +0200

Elbert Pol <address@hidden> wrote:
> Jim Meyering wrote:
>> Here's a snapshot of the latest sources from coreutils
>> and the parts of gnulib that it uses.  Please beat it up ;-)
>> If things work out, I may even make a test release by Wednesday.
> I try today this newer build, and sadly it fails :(
> It fails with make.
> I attach the config.log and the make log
> I used Gcc v3.46
> Also tried older 3.35 that one builds other versions fine, but got
> same error..

Thanks for the report.
What version of libgmp is on that system?

(for the record, I see from config.log that it's:
 uname -m = i386
 uname -r = 1
 uname -s = OS/2
 uname -v = 2.45)

The build failure (linking factor) was due to the fact that your gmp
library has __gmpz_init (the function checked for in configure.ac),
yet lacks another gmp function we require ___gmp_sscanf.

Knowing what version of gmp you're using might help determine
if it's worth changing the configure-time test to accommodate
your situation, and (if so) to document the version of gmp
that requires the work-around.

In the mean time, you might be able to install a newer version of gmp.
At worst, use configure's --without-gmp option.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]